<?php 

require'config.php'; 
$align='left'; 

if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;} 
$nk = intval($_GET['nk']); 
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".$nk."'")); 
$title='Отзывы о '.$inf[user]; 
aut(); 
head(); 
who_add(0,'enter'); 
echo '<br />'; 
if ($inf['id']!=$user['id'])$db->sql_query ("INSERT INTO oko (user_id,who_id,msg,time) VALUES ('$inf[id]','$user[id]','".check('Смотрит отзывы о вас')."','$time')"); 

if (isset($_POST['msg'])){ 
if(($user['id'])==$inf['id']){ 
echo''; 
}else{ 
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `opinions` WHERE `user_id` = '".$inf['id']."' AND `mgs_id` = '$user[id]' LIMIT 1"),0)!=0){ 
echo'Вы уже оставляли отзыв об этом обитателе!'; 
}else{ 
if (strlen2($_POST['msg'])<3){header ('Location: opinions'.$inf['id'].'?'.SID); exit;} 
if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']); 
if (!$_POST['type']){header ('Location: opinions'.$inf['id'].'?'.SID); exit;} 
$db->sql_query ("INSERT INTO opinions (user_id,mgs_id,msg,time,`type`) VALUES ('$inf[id]','$user[id]','".check($_POST['msg'])."','$time','".check($_POST['type'])."')"); 
posts_add(); 
echo '<b>Ваше отзыв успешно добавлен!</b><br/>'; 
echo gb.'<a href="opinions'.$inf['id'].'">Отзывы</a><br/>'.div; 

$msg = 'О вас написали новый [url=/opinions'.$inf['id'].']отзыв[/url]. ('.check($_POST['type']).')'; 
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES 
('$user_system','0','".user($inf['id'])."','".user_inf($inf['id'])."','$time','$msg')"); 
foot(); 
} 
} 
} 


if (empty($user['max'])) $user['max']=10; 
$max = $user['max']; 
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from opinions where user_id = '".$inf['id']."'"),0); 
$k_page=k_page($k_post,$max); 
$page=page($k_page); 
$start=$max*$page-$max; 

$r = $db->sql_query ("Select * from opinions where user_id = '".$inf['id']."' order by time desc LIMIT $start, $max"); 
$up=$db->sql_fetchfield($db->sql_query("select count(*) as num from opinions where user_id = '".$inf['id']."' and `type`='Положительное'"),0); 
$down=$db->sql_fetchfield($db->sql_query("select count(*) as num from opinions where user_id = '".$inf['id']."' and `type`='Отрицательное'"),0); 
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post; 
echo 'Показаны отзывы '.($start+1).'-'.$maxi.' из '.$k_post.' [<font color="green"><b>'.$up.'</b></font>l<font color="red"><b>'.$down.'</b></font>]<br /><br />'; 
if ($k_post == 0)echo 'Мнений пока нет...<br /><br />'; 

$post_k=$start+1; 
while($a = @$db->sql_fetchrow($r)){ 

if($a['type']=='Положительное'){ 
echo links.'<b>'.nik($a['mgs_id']).'</b> ('.times($a['time']).') [<font color="green"><b>'.$a['type'].'</b></font>]'.div; 
}  


if($a['type']=='Отрицательное'){ 
echo links.'<b>'.nik($a['mgs_id']).'</b> ('.times($a['time']).') [<font color="red"><b>'.$a['type'].'</b></font>]'.div; 
} 
echo '&#160;'.smiles(antir(antim(bbcode(br($a['msg']))))).'<br/>'; 
echo '<dt></dt><small>&#160;&#160;'; 

if(($user['level'])>=5){echo '<a href="'.H.'opinions'.$inf['id'].'?delk='.$a['id'].'">Удалить</a>';} 
echo $delk.'</small><dt></dt>'; 
echo '<dl></dl>'; 
} 
if ($k_page>1){ 
echo "<dl><dt></dt></dl>"; 
str(H.'opinions'.$inf['id'].'?',$k_page,$page); // Вывод страниц 
echo "<dl><dt></dt></dl>"; 
} 
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `opinions` WHERE `user_id` = '".$inf['id']."' AND `mgs_id` = '$user[id]' LIMIT 1"),0)!=0){ 
echo'Вы уже оставляли отзыв об этом обитателе!'; 
}else{ 
if(($user['id'])==$inf['id']){ 
echo''; 
}else{ 

if($user['posts']>=$set['post_diaries']){
echo "<dl><dt></dt></dl>";

if ($ver!='wml')echo '<form action="opinions'.$inf['id'].'?'.SID.'" method="post">'; 
if ($ver=='wml')echo 'Ваше мнение:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/><input type="radio" name="type" value="Положительное"><font color="green">Положительное</font><br /><input type="radio" name="type" value="Отрицательное"><font color="red">Отрицательное</font></br>'; 
else {echo 'Ваше мнение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><input type="radio" name="type" value="Положительное"><font color="green">Положительное</font><br /><input type="radio" name="type" value="Отрицательное"><font color="red">Отрицательное</font><br />'; 

} 
if ($ver=='wml'){ 
echo '<anchor title="go">Добавить<go href="opinions'.$inf['id'].'?'.SID.'" method="post">'; 
echo '<postfield name="msg" value="$msg'.$ref.'"/> 
</go></anchor><br /><br />'; 
; 
}else{ 
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />'; 
} 
}else{
echo 'Для создания записи нужно<br/>иметь более <b>'.$set['post_diaries'].'</b> постов!<br/><dl><dt></dt></dl>';
}
} 
} 
if (isset($_GET['delk'])){ 
$a = $db->sql_fetchrow($db->sql_query ("Select * from opinions where id = '".intval($_GET['delk'])."'")); 
if(($user['level'])>=5){ 
$db->sql_query("DELETE FROM `opinions` WHERE `id` = '".intval($_GET['delk'])."'"); 
} 
header ('Location: opinions'.$inf['id'].'?'.SID); 

} 

echo '<br />'; 
echo gb.'<a href="'.H.$inf[id].'">В анкету</a>'.div; 
echo gb.'<a href="'.H.'enter?">Прихожая</a>'.div; 
foot(); 
?>